Subject: Re: linux-next: manual merge of the drm-nova tree with the configfs tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 21 May 2025 14:32:25 +1000

Hi all,

On Tue, 13 May 2025 13:55:21 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the drm-nova tree got a conflict in:
> 
>   samples/rust/Makefile
> 
> between commit:
> 
>   1bfb10505156 ("rust: configfs: add a sample demonstrating configfs usage")
> 
> from the configfs tree and commit:
> 
>   96609a1969f4 ("samples: rust: add Rust auxiliary driver sample")
> 
> from the drm-nova tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --cc samples/rust/Makefile
> index b3c9178d654a,6a466afd2a21..000000000000
> --- a/samples/rust/Makefile
> +++ b/samples/rust/Makefile
> @@@ -8,7 -8,7 +8,8 @@@ obj-$(CONFIG_SAMPLE_RUST_DMA)			+= rust
>   obj-$(CONFIG_SAMPLE_RUST_DRIVER_PCI)		+= rust_driver_pci.o
>   obj-$(CONFIG_SAMPLE_RUST_DRIVER_PLATFORM)	+= rust_driver_platform.o
>   obj-$(CONFIG_SAMPLE_RUST_DRIVER_FAUX)		+= rust_driver_faux.o
>  +obj-$(CONFIG_SAMPLE_RUST_CONFIGFS)		+= rust_configfs.o
> + obj-$(CONFIG_SAMPLE_RUST_DRIVER_AUXILIARY)	+= rust_driver_auxiliary.o
>   
>   rust_print-y := rust_print_main.o rust_print_events.o
>   

This is now a conflict between the drm tree and the configfs tree.

-- 
Cheers,
Stephen Rothwell